const gulp = require('gulp');
const texturePacker = require('gulp-free-tex-packer');
 
gulp.task('default', function() {
    return gulp.src('src/**/*.*')
        .pipe(texturePacker({
            textureName: "atlas",
            width: 1024,
            height: 1024,
            fixedSize: false,
            padding: 0,
            allowRotation: true,
            detectIdentical: true,
            allowTrim: true,
            exporter: "Pixi",
            removeFileExtension: true,
            prependFolderName: true
        }))
    .pipe(gulp.dest('dest/'));
});